# Generated from cutcsv-0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cutcsv

Name: rubygem-%{gem_name}
Version: 0.4
Release: 1%{?dist}
Summary: Like Unix cut, but for CSVs
License: MIT
URL: https://github.com/robmiller/cutcsv
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubygems-tasks) >= 0.2.4
# BuildRequires: rubygem(rubygems-tasks) < 0.3
BuildArch: noarch

%description
A utility that allows you to extract fields from CSV files, outputting a new
CSV with just the fields that you want.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/cutcsv
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/cutcsv.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.4-1
- Initial package
